OS X Mountain Lion compatible Mac announced

Apple has announced the list of compatible Macs for running OS X Mountain Lion (v10.8).
The list are:

  • iMac (Mid 2007 or newer)
  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • MacBook Air (Late 2008 or newer)
  • Mac mini (Early 2009 or newer)
  • Mac Pro (Early 2008 or newer)
  • Xserve (Early 2009)

Mac OS X Mountain Lion (v. 10.8) will be available though Mac App Store in July for only $19.99 (USD). Mountain Lion requires Mac running Mac OS X Snow Leopard 10.6 or later. (Users do not need to upgrade to OS X Lion first.)


Posted by Antony at July 12, 2012 3:18 AM

>> more MacCentre701 July 2012 reports.